<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>The LabVIEW tool :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/antidoc/latest/labview-tool/overview.html">
    <link rel="prev" href="../general-info.html">
    <link rel="next" href="../labview-api/overview.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../../_'</script>
    <link rel="icon" href="../../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:antidoc" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="antidoc" data-version="2.0">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="../index.html">Antidoc</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../general-info.html">General information</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="overview.html">LabVIEW tool</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../labview-api/overview.html">LabVIEW API</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="../create-addon/overview.html">Create an add-on</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">Antidoc</span>
    <span class="version">2.0</span>
  </div>
  <ul class="components">
    <li class="component">
      <a class="title" href="../../../asciidoc-toolkit/latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../asciidoc-toolkit/latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../../../asciidoc-toolkit/1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../../../asciidoc-toolkit/1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component is-current">
      <a class="title" href="../index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="../index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="../index.html">Antidoc</a></li>
    <li><a href="overview.html">LabVIEW tool</a></li>
  </ul>
</nav>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/edit/docs/v2.0/docs/modules/labview-tool/pages/overview.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<h1 class="page">The LabVIEW tool</h1>
<div id="preamble">
<div class="sectionbody">
<div class="paragraph">
<p>You can use <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator">Antidoc</a> directly from the LabVIEW interface.</p>
</div>
<div class="paragraph">
<p>To open the tool, select <span class="menuseq"><b class="menu">Tools</b>&#160;<i class="fa fa-angle-right caret"></i> <b class="submenu">Antidoc</b>&#160;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Generate Documentation…</b></span></p>
</div>
</div>
</div>
<div class="sect1">
<h2 id="selecting-an-add-on"><a class="anchor" href="#selecting-an-add-on"></a>Selecting an add-on</h2>
<div class="sectionbody">
<div class="paragraph">
<p>Add-ons give you the possibility to generate different kinds of documents.</p>
</div>
<div class="paragraph">
<p>If more than one add-on is installed, a dialog appears to let you choose the type of document you want to generate.</p>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/Antidoc-addon-selector.gif" alt="Antido add-on selection">
</div>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
If only one add-on is installed, the main UI is open directly.
</td>
</tr>
</table>
</div>
</div>
</div>
<div class="sect1">
<h2 id="user-interface"><a class="anchor" href="#user-interface"></a>User interface</h2>
<div class="sectionbody">
<div class="paragraph">
<p>After selecting your add-on, the main user interface is loaded.
The interface is divided into two different parts.</p>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/Antidoc-main-ui.png" alt="Antidoc main user interface">
</div>
</div>
<div class="colist arabic">
<table>
<tr>
<td><i class="conum" data-value="1"></i><b>1</b></td>
<td>Add-on specific user interface</td>
</tr>
<tr>
<td><i class="conum" data-value="2"></i><b>2</b></td>
<td>Generic user interface</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>To generate the document, click on the button <code>Generate documentation</code>.</p>
</div>
<div class="paragraph">
<p>At the end of the generation, you can choose to:</p>
</div>
<div class="ulist">
<ul>
<li>
<p>Generate your document in HTML or PDF format.</p>
</li>
<li>
<p>Open the source file of the document written in AsciiDoc syntax.</p>
</li>
<li>
<p>Exit Antidoc.</p>
</li>
</ul>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/Antidoc-end-of-generation-dialog.png" alt="Antidoc end of generation dialog">
</div>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
The final dialog box will remain open until you close it with the 'Quit' button or with the cross button at the top right of the window. So, you can use the three other buttons before exiting the tool.
</td>
</tr>
</table>
</div>
</div>
</div>
<div class="sect1">
<h2 id="advanced-configuration"><a class="anchor" href="#advanced-configuration"></a>Advanced configuration</h2>
<div class="sectionbody">
<div class="paragraph">
<p>You can configure advanced Antidoc behavior using an INI file named <code>Antidoc.ini</code> stored in <code>..\Documents\LabVIEW Data\Antidoc</code>.</p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This file is not mandatory to get Antidoc to work. By default, this file doesn&#8217;t exist.
</td>
</tr>
</table>
</div>
<div class="listingblock">
<div class="title">Antidoc.ini file content</div>
<div class="content">
<pre class="highlightjs highlight"><code class="language-INI hljs" data-lang="INI">[Antidoc]
AdditionalAddonsSearchPath="C:\Users\team\Documents\open-source-projects"<i class="conum" data-value="1"></i><b>(1)</b>
AdditionalAddonsSearchPathLvVersion=14.0.1f11<i class="conum" data-value="2"></i><b>(2)</b>
ContentNotFoundPlaceholder="Another placeholder text"<i class="conum" data-value="3"></i><b>(3)</b>

[Custom Attributes]<i class="conum" data-value="4"></i><b>(4)</b>
toclevels=4
sectnuùmslevels=4
stylesheet=MyCustomStylesheet.css</code></pre>
</div>
</div>
<div class="colist arabic">
<table>
<tr>
<td><i class="conum" data-value="1"></i><b>1</b></td>
<td>Additional path where Antidoc is looking for add-ons. Use this parameter if you develop your add-on and want to debug it without building a package.</td>
</tr>
<tr>
<td><i class="conum" data-value="2"></i><b>2</b></td>
<td>Limit the search for additional add-ons to a specific LabVIEW version.</td>
</tr>
<tr>
<td><i class="conum" data-value="3"></i><b>3</b></td>
<td>Set a custom string to display in the documentation generated when content is not found in the LabVIEW code</td>
</tr>
<tr>
<td><i class="conum" data-value="4"></i><b>4</b></td>
<td>In this section, each key represents an AsciiDoc attribute. That&#8217;s the way for you to customize the output (the PDF or the HTML) you can get at the end of the documentation generation process</td>
</tr>
</table>
</div>
<div class="admonitionblock tip">
<table>
<tr>
<td class="icon">
<i class="fa icon-tip" title="Tip"></i>
</td>
<td class="content">
For more information about AsciiDoctor attributes see the <a href="https://docs.asciidoctor.org/asciidoc/latest/attributes/document-attributes-ref/">Asciidoctor documention</a>
</td>
</tr>
</table>
</div>
</div>
</div>
<nav class="pagination">
  <span class="prev"><a href="../general-info.html">General information</a></span>
  <span class="next"><a href="../labview-api/overview.html">LabVIEW API</a></span>
</nav>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../../_/js/site.js" data-ui-root-path="../../../_"></script>
<script async src="../../../_/js/vendor/highlight.js"></script>
<script src="../../../_/js/vendor/lunr.js"></script>
<script src="../../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../../.." data-snippet-length="100" data-stylesheet="../../../_/css/search.css"></script>
<script async src="../../../search-index.js"></script>
  </body>
</html>
